org.apache.sysds.runtime.instructions

## Enum Instruction.IType

- java.lang.Object
- - java.lang.Enum<Instruction.IType>
  - - org.apache.sysds.runtime.instructions.Instruction.IType

- All Implemented Interfaces:
    Serializable, Comparable<Instruction.IType>
  Enclosing class:
    Instruction

      public static enum Instruction.IType
      extends Enum<Instruction.IType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BREAKPOINT`
    `CONTROL_PROGRAM`
    `FEDERATED`
    `GPU`
    `SPARK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Instruction.IType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Instruction.IType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTROL_PROGRAM

          public static final Instruction.IType CONTROL_PROGRAM

    - #### BREAKPOINT

          public static final Instruction.IType BREAKPOINT

    - #### SPARK

          public static final Instruction.IType SPARK

    - #### GPU

          public static final Instruction.IType GPU

    - #### FEDERATED

          public static final Instruction.IType FEDERATED

  - ### Method Detail

    - #### values

          public static Instruction.IType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Instruction.IType c : Instruction.IType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Instruction.IType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 The Apache Software Foundation. All rights reserved.